-----------------------------------------------------------
-- RyceR scripts pack - Broadcast and whisper script.    --
-----------------------------------------------------------
if rr==nil then rr={} end
rr.broadcast={}
function Array(m)
	local array = {}
	for i = 1, m do
		array[i]=0
	end
	return array
end
rr.broadcast.timer=Array(32)
rr.broadcast.final=Array(32)

function totable(t,match)
	local cmd = {}
	if not match then match = "[^%s]+" end
	for word in string.gmatch(t, match) do
		table.insert(cmd, word)
	end
	return cmd
end 

addhook("join","rr.broadcast.join")
function rr.broadcast.join(id)
	rr.broadcast.final[id]=1
end

addhook("second","rr.broadcast.second")
function rr.broadcast.second()
	for id = 1, 32 do
		if rr.broadcast.final[id] == 0 then
			rr.broadcast.timer[id]=rr.broadcast.timer[id]+1
			if rr.broadcast.timer[id] == 25 then
				msg2(id,"000255000You already can use broadcast.")
				rr.broadcast.final[id]=1
			end
		end
	end
end

addhook("say","rr.broadcast.say")
function rr.broadcast.say(id,txt)
	_msg=totable(txt)
	_t1=tostring(_msg[1])
	if (_t1=="!broadcast") then
		_t2=string.sub(txt,11)
		if rr.broadcast.final[id] == 1 then
			msg("120255050"..player(id,"name").."[broadcast]:".._t2)
			msg2(id,"000255000The next broadcast you can use after 25 seconds")
			rr.broadcast.final[id]=0
			return 1
		else
			msg("000255000You cant use broadcast now.")
			return 1
		end
	end
	if (_t1=="!whisper") then
		_t2=tonumber(_msg[2])
		_t3=string.sub(txt,12)
		if (_t2 ~= nil) then
			msg2(_t2,"150020150"..player(id,"name").."[whisper]: ".._t3)
			msg2(id,"150080150To "..player(_t2,"name")..": ".._t3)
		end
	return 1
	end
end